Subject: bug#52705: 29.0.50; Flashing popups when x-gtk-use-system-tooltips is nil in pgtk

From: Po Lu <[email-masked]>
Date: Sun, 02 Jan 2022 20:33:37 +0800

Po Lu <[email-masked]> writes:

> martin rudalics <[email-masked]> writes:
>
>> - The rightmost letter of a tooltip (typically an "u" in "Menu") is
>>   usually cropped off by ~50%.  Letters like "i" and "r" are fully
>>   visible so I suppose it's a variable pitch issue.  I don't see it with
>>   a mono-spaced font.
>
> Thanks, I will look into that.

It's a problem with how we receive allocation signals for the tooltip
frame, and then call xg_frame_resized on it.  I installed a workaround
on master.

That nasty bug doesn't happen on X builds because there tooltip windows
are regular X windows even when built with GTK.

Thanks.